PfSense - Lua error during full installation of pfSense 2.2.6 and 2.3 [SOLVED]



  • Hi,
    yesterday the PC Engines apu2c4 http://www.pcengines.ch/apu2c4.htm with the 16 GB mSATA SSD module http://www.pcengines.ch/msata16d.htm  finally arrived and after updating to the latest BIOS (apu2_160311) I successfully 'installed' the embedded version of pfSense (pfSense-2.2.6-RELEASE-4g-amd64-nanobsd) to the SSD.

    Today I wanted to try a full version installation (tried: pfSense-memstick-serial-2.2.6-RELEASE-amd64.img.gz as well as pfSense-CE-memstick-serial-2.3-BETA-amd64-latest.img.gz) but unfortunately I wasn't able to complete the installation (quick and custom installation failed) due to an internal Lua error, please see the provided attachment.

    I'm aware that the apu2 BIOS is not feature complete yet, but to be honest I don't even know if it's a problem with the BIOS or the pfSense installer (or a combination of both)…

    Since I'm new to this, any help would be highly appreciated! If more information is required, please let me know, I'll do my best to provide it.

    Thanks!

    Solution: never try to install to the device you're booting from  ::)

    I copied the pfSense image to the ssd using tiny core and then wanted to install it to the same device, of course this won't work.

    After writing the pfSense iso to the USB stick (https://doc.pfsense.org/index.php/Writing_Disk_Images) I started the installation from there and it completed successfully!



Log in to reply